Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.listener
Interface PlanningVariableListener<EntityG>

All Known Implementing Classes:
  AbstractPlanningVariableListener, ArrivalTimeUpdatingVariableListener, ChainedMappedByVariableListener, PredecessorsDoneDateUpdatingVariableListener, VehicleUpdatingVariableListener

    public interface PlanningVariableListener<EntityG>

Changes shadow variables when a real planning variable changes.

Important: it must never change a real planning variable!

See Also:
  `AbstractPlanningVariableListener`

Method Summary
`void` | `afterEntityAdded(ScoreDirector scoreDirector, EntityG entity)`
`void` | `afterEntityRemoved(ScoreDirector scoreDirector, EntityG entity)`
`void` | `afterVariableChanged(ScoreDirector scoreDirector, EntityG entity)`
`void` | `beforeEntityAdded(ScoreDirector scoreDirector, EntityG entity)`
`void` | `beforeEntityRemoved(ScoreDirector scoreDirector, EntityG entity)`
`void` | `beforeVariableChanged(ScoreDirector scoreDirector, EntityG entity)`

Method Detail

### beforeEntityAdded

    void beforeEntityAdded(ScoreDirector scoreDirector,
                           EntityG entity)

### afterEntityAdded

    void afterEntityAdded(ScoreDirector scoreDirector,
                          EntityG entity)

### beforeVariableChanged

    void beforeVariableChanged(ScoreDirector scoreDirector,
                               EntityG entity)

### afterVariableChanged

    void afterVariableChanged(ScoreDirector scoreDirector,
                              EntityG entity)

### beforeEntityRemoved

    void beforeEntityRemoved(ScoreDirector scoreDirector,
                             EntityG entity)

### afterEntityRemoved

    void afterEntityRemoved(ScoreDirector scoreDirector,
                            EntityG entity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.